using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations.LeaveDb
{
    /// <inheritdoc />
    public partial class updatetableLeaveRequestaddprofileId1 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<double>(
                name: "Amount",
                table: "LeaveRequests",
                type: "double",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "BirthDate",
                table: "LeaveRequests",
                type: "datetime(6)",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "DateAppoint",
                table: "LeaveRequests",
                type: "datetime(6)",
                nullable: true);

            migrationBuilder.AddColumn<Guid>(
                name: "ProfileId",
                table: "LeaveRequests",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<string>(
                name: "ProfileType",
                table: "LeaveRequests",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Amount",
                table: "LeaveRequests");

            migrationBuilder.DropColumn(
                name: "BirthDate",
                table: "LeaveRequests");

            migrationBuilder.DropColumn(
                name: "DateAppoint",
                table: "LeaveRequests");

            migrationBuilder.DropColumn(
                name: "ProfileId",
                table: "LeaveRequests");

            migrationBuilder.DropColumn(
                name: "ProfileType",
                table: "LeaveRequests");
        }
    }
}
